
init offset = -1

transform dissolvein:
    alpha 0
    linear 1.0 alpha 1.0
transform splashctc:
    alpha 0
    align (.95,.97)
    pause 1
    linear 1.0 alpha 1.0
    block:
        linear .8 alpha .6
        linear .8 alpha 1.0
        repeat

screen splashnote():
    frame:
        background Frame("next_frame",24,24)
        align (.5,.5)
        at dissolvein
        padding (100,60)
        has vbox
        text _("This game's story contains heavy topics\nsuch as chronic illness and death.") xalign .5 text_align .5
        null height 30
        text _("Remember to pace yourself,\nand please take care <3") xalign .5 text_align .5

    text _("touch to continue >") at splashctc
    button:
        action Return()

image endtext page1 = Text(_("game by NomnomNami"), align=(.2,.3), text_align=.5)
image tlcredit = Text(_("translated by"), align=(.2,.5), text_align=.5)
image endtext page2 = Text(_("patreon support"), align=(.12,.11), text_align=.5)
image endtext page2b = Text(_("special thanks"), align=(.24,.2), text_align=.5)
image endtext page3 = Text(_("thank you for playing"), align=(.2,.3), text_align=.5)
image endtext page4 = Text(_("THE END"), align=(.2,.3), text_align=.5)

screen newprofile(chara):

    zorder 100
    style_prefix "notify"

    on "show" action Play("sound", audio.notif)

    timer 4.0 action Hide("newprofile")

    frame at notify_appear:
        if chara=="cass":
            textbutton _("New Character Profile: Cassava") action ShowMenu("charaprofile", whichchar="cass")
        elif chara=="peri":
            textbutton _("New Character Profile: Periwinkle") action ShowMenu("charaprofile", whichchar="peri")
        elif chara=="vin":
            textbutton _("New Character Profile: Vinegar") action ShowMenu("charaprofile", whichchar="vin")
        else:
            textbutton _("New Character Profile: Astragalus") action ShowMenu("charaprofile", whichchar="astra")

screen charaprofile(whichchar="astra"):

    tag menu

    use game_menu(_("Profiles"), scroll="viewport"):

        style_prefix "profile"
        default chara = whichchar

        hbox:
            ysize 392
            grid 1 4:
                imagebutton:
                    focus_mask None
                    idle "icon astra idle"
                    selected_idle "icon astra selected"
                    selected_hover "icon astra selected"
                    action SetScreenVariable("chara", "astra")
                    activate_sound audio.choose1

                imagebutton:
                    focus_mask None
                    insensitive "icon none idle"
                    if "cass3" in persistent.cutscenes:
                        idle "icon cass2 idle"
                        selected_idle "icon cass2 selected"
                        selected_hover "icon cass2 selected"
                        action SetScreenVariable("chara", "cass2")
                    else:
                        idle "icon cass idle"
                        selected_idle "icon cass selected"
                        selected_hover "icon cass selected"
                        action SetScreenVariable("chara", "cass")
                    sensitive "cass0" in persistent.cutscenes
                    activate_sound audio.choose1

                imagebutton:
                    focus_mask None
                    insensitive "icon none idle"
                    if "ending" in persistent.cutscenes:
                        idle "icon peri2 idle"
                        selected_idle "icon peri2 selected"
                        selected_hover "icon peri2 selected"
                        action SetScreenVariable("chara", "peri2")
                    else:
                        idle "icon peri idle"
                        selected_idle "icon peri selected"
                        selected_hover "icon peri selected"
                        action SetScreenVariable("chara", "peri")
                    sensitive "peri0" in persistent.cutscenes
                    activate_sound audio.choose1
                imagebutton:
                    focus_mask None
                    idle "icon vin idle"
                    selected_idle "icon vin selected"
                    selected_hover "icon vin selected"
                    insensitive "icon none idle"
                    action SetScreenVariable("chara", "vin")
                    sensitive "vin0" in persistent.cutscenes
                    activate_sound audio.choose1

            null width 20

            if chara=="astra":
                vbox:
                    add "astra desk" xoffset 50
                    label _("Astragalus") text_outlines [(8,"#f3daff",0,0),(4,"#a25898",0,0)]
                    text _("Age: 30")
                    text _("Pronouns: she/her")
                add "astra" yalign 1.0
            elif chara=="cass":
                vbox:
                    add "cass peek" xoffset 20
                    label _("Cassava") text_outlines [(8,"#ffe7b3",0,0),(4,"#c8701f",0,0)]
                    text _("Age: Secret <3")
                    text _("Pronouns: he/him")
                add "cass" yalign 1.0
            elif chara=="cass2":
                vbox:
                    add "cass photo" xoffset 50
                    label _("Cassava") text_outlines [(8,"#ffe7b3",0,0),(4,"#c8701f",0,0)]
                    text _("Age: 31 (at death)")
                    text _("Pronouns: he/him")
                add "cass bones1 zomcalm" yalign 1.0

            elif chara=="peri":
                vbox:
                    add "peri idle" xoffset 100
                    label _("Periwinkle") text_outlines [(8,"#bedbff",0,0),(4,"#5083c1",0,0)]
                    text _("Age: 22")
                    text _("Pronouns: he/him")
                add "peri" yalign 1.0
            elif chara=="peri2":
                vbox:
                    add "peri awakeidle"
                    label _("Periwinkle") text_outlines [(8,"#bedbff",0,0),(4,"#5083c1",0,0)]
                    text _("Age: 22")
                    text _("Pronouns: he/him")
                add "peri nohood1 awake" yalign 1.0

            elif chara=="vin":
                vbox:
                    add "vin idle" xoffset 70
                    label _("Vinegar") text_outlines [(8,"#daecd9",0,0),(4,"#64816f",0,0)]
                    text _("Age: 16")
                    text _("Pronouns: she/her")
                add "vin" yalign 1.0

        frame:
            # xalign .5
            xoffset 80 xsize 720
            # xysize (720,80)
            background Frame("gui/roundframe.png", 12,12)
            padding (20,10)
            if chara=="astra":
                text _("Apothecary owner. Grows medicinal plants.") xalign .5
            elif chara=="cass":
                text _("Flamboyant witch. Astra's older brother.") xalign .5
            elif chara=="cass2":
                text _("Astra's older brother, lost to the Undeath virus.") xalign .5
            elif chara=="peri":
                text _("An exhausted-looking witch. He smells like flowers.") xalign .5
            elif chara=="peri2":
                text _("A talented aromagician. He smells like flowers.") xalign .5
            elif chara=="vin":
                text _("A young witch afflicted with the Undeath virus.") xalign .5

style profile_text is about_text
style profile_label_text:
    color "#fff"
    size gui.name_text_size

init python:
    class Plant(store.object):
        def __init__(self, name, image, id, timer, cost):
            self.name = name
            self.image = image
            self.id = id
            self.timer = timer
            self.cost = cost

    def get_plantpic(whichpot, phase):
        if whichpot==1:
            whichplant = p1plant
        elif whichpot==2:
            whichplant = p2plant
        else:
            whichplant = p3plant

        if whichplant=="tea":
            return teaplant.image + phase
        elif whichplant=="camp":
            return campplant.image + phase
        elif whichplant=="lich":
            return lichplant.image + phase
        else:
            return narplant.image + phase

    def get_seedcost(whichplant):
        if whichplant=="tea":
            return teaplant.cost
        elif whichplant=="camp":
            return campplant.cost
        elif whichplant=="lich":
            return lichplant.cost
        else:
            return narplant.cost

    def get_planttimer(whichplant):

        if whichplant=="tea":
            return teaplant.timer
        elif whichplant=="camp":
            return campplant.timer
        elif whichplant=="lich":
            return lichplant.timer
        else:
            return narplant.timer

    def harvest_plant(whichplant):

        if whichplant=="tea":
            persistent.teacount += 1
        elif whichplant=="camp":
            persistent.campcount += 1
        elif whichplant=="lich":
            persistent.lichcount += 1
        else:
            persistent.narcount += 1

define teaplant = Plant( _("Tea Camellia"), "teaplant", "tea", 5,
    2 )
define campplant = Plant( _("Drowsy Campanula"), "campplant", "camp", 10,
    6 )
define lichplant = Plant( _("Lich's Bane"), "lichplant", "lich", 20,
    11 )
define narplant = Plant( _("Mourning Narcissus"), "narplant", "nar", 30,
    15 )

default whichpot = 1

screen plantraising_tutorial():

    hbox xysize (820,66) xpos 472:
        textbutton _("SKIP TUTORIAL") action Return() style "topmenu_button"
        hbox:
            xanchor 1.0 xalign 1.0 xoffset -20 yalign .5 spacing 8
            imagebutton auto "togglemusic_%s" action ToggleMute("music") yalign .5
            imagebutton auto "togglesfx_%s" action ToggleMute("sfx") yalign .5
            textbutton _("MENU") action ShowMenu("preferences") style "topmenu_button"

    if persistent.teacount==1:
        timer .01 action Return()
    if p2timer > 0:
        timer 1 repeat True action SetVariable("p2timer", p2timer-1)
    hbox:
        align (.88,.5)
        ysize 340 yoffset 18
        null width 220
        use pot(p2timer, p2phase, 2)
        null width 220

    frame:
        background None
        padding (0,0)
        style_prefix "tutorial"
        align (1.0,1.0)
        xysize (810,160)
        vbox:
            xsize 680
            align (.5,.5)
            at dissolvein
            if not firstseed:
                text _("Tap the pot and choose which seed to grow.") xalign .5
            else:
                if not firstwater:
                    text _("Growing takes time. Remember to water again once your seed has sprouted!") xalign .5
                else:
                    text _("Once it's grown, Astragalus will turn it into medicine and sell it to her customers.") xalign .5

style tutorial_text:
    color "#fff"
    text_align .5

style topmenu_button:
    idle_background Frame("peri_frame",12,12)
    hover_background Frame("cass_frame",12,12)
    selected_idle_background Frame("cass_frame",12,12)
    xpadding 20
    ypadding 2
    yalign .5
style topmenu_button_text:
    color "#fff" #gui.text_color
    # selected_idle_color "#fff"#gui.selected_color
    idle_outlines [(4,"#5083c1",0,0)]
    selected_outlines [(4,gui.hover_color,0,0)]
    hover_outlines [(4,gui.hover_color,0,0)]

screen plantraising():

    hbox xysize (820,66) xpos 472:
        hbox:
            textbutton _("STORY") action ShowTransient("storychecker") style "topmenu_button" activate_sound audio.sidemenu
            null width 8
            imagebutton auto "decor_%s" action ShowTransient("decor") activate_sound audio.sidemenu yalign .5
            null width 20
            hbox:
                yoffset 4 spacing 10
                add "dough"
                label "{}" .format(persistent.dough) yalign .5
        hbox:
            xanchor 1.0 xalign 1.0 xoffset -20 yalign .5 spacing 8
            imagebutton auto "togglemusic_%s" action ToggleMute("music") yalign .5
            imagebutton auto "togglesfx_%s" action ToggleMute("sfx") yalign .5
            textbutton _("MENU") action ShowMenu("preferences") style "topmenu_button"

    frame:
        background None
        padding (0,0)
        style_prefix "tutorial"
        align (1.0,0)
        xysize (810,160)
        vbox:
            xsize 680
            align (.5,1.0)
            at dissolvein
            if persistent.dough<2:
                text _("Tap the customers to earn more dough!") xalign .5

    if p1timer > 0:
        timer 1 repeat True action SetVariable("p1timer", p1timer-1)
    if p2timer > 0:
        timer 1 repeat True action SetVariable("p2timer", p2timer-1)
    if p3timer > 0:
        timer 1 repeat True action SetVariable("p3timer", p3timer-1)

    if not renpy.get_screen("storychecker") and not renpy.get_screen("chooseseed") and not renpy.get_screen("decor"):

        ##MAIN
        if "postgame" not in persistent.unlocks:
            #ASTRA STORY
            if persistent.campcount>=12 and "cass1" in persistent.cutscenes and "astra1" not in persistent.cutscenes:
                timer .5 action Show("main1", cutscene="astra_event1")
            elif persistent.lichcount>=15 and "astra1" in persistent.cutscenes and "astra2" not in persistent.cutscenes:
                timer .5 action Show("main1", cutscene="astra_event2")
            elif persistent.teacount>=18 and persistent.campcount>=18 and persistent.lichcount>=18 and persistent.narcount>=18 and "ending" not in persistent.cutscenes:
                timer .5 action Show("main1", cutscene="ending")
        else:
            #POSTGAME
            if persistent.teacount>=40 and "extra1" not in persistent.cutscenes:
                timer .5 action Show("main1", cutscene="extra1")
            elif persistent.narcount>=40 and "extra4" not in persistent.cutscenes:
                timer .5 action Show("main1", cutscene="extra4")
            elif persistent.teacount>=50 and persistent.campcount>=50 and persistent.lichcount>=50 and persistent.narcount>=50 and "extra5" not in persistent.cutscenes:
                timer .5 action Show("main1", cutscene="extra5")

        if not renpy.get_screen("npc1"):

            ##NPC1
            if not renpy.get_screen("npc2") and not renpy.get_screen("npc3"):
                #POSTGAME
                if "postgame" in persistent.unlocks:
                    if persistent.campcount>=40 and "extra2" not in persistent.cutscenes:
                        timer .95 action Show("npc1", char="peri healed", cutscene="extra2")
                    if persistent.lichcount>=40 and "extra3" not in persistent.cutscenes:
                        timer .95 action Show("npc1", char="vin idle", cutscene="extra3")
                #CASSAVA STORY
                if persistent.teacount>=5 and "cass0" not in persistent.cutscenes:
                    timer .95 action Show("npc1", char="cass hiding", cutscene="cass_intro")
                elif persistent.teacount>=15 and "cass1" not in persistent.cutscenes:
                    timer .95 action Show("npc1", char="cass peek", cutscene="cass_event1")
                elif persistent.lichcount>=5 and "cass1" in persistent.cutscenes and "cass2" not in persistent.cutscenes:
                    timer .95 action Show("npc1", char="cass hiding", cutscene="cass_event2")
                elif persistent.narcount>=10 and "cass2" in persistent.cutscenes and "cass3" not in persistent.cutscenes:
                    timer .95 action Show("npc1", char="cass peek", cutscene="cass_event3")

            ##NPC2
            if not renpy.get_screen("npc2"):
                #PERIWINKLE STORY
                if persistent.teacount>=10 and "peri0" not in persistent.cutscenes:
                    timer 1.0 action Show("npc2", char="peri sit", cutscene="peri_intro")
                elif persistent.campcount>=10 and "peri1" not in persistent.cutscenes:
                    timer 1.0 action Show("npc2", char="peri idle", cutscene="peri_event1")
                elif persistent.lichcount>=10 and "peri1" in persistent.cutscenes and "peri2" not in persistent.cutscenes:
                    timer 1.0 action Show("npc2", char="peri idle", cutscene="peri_event2")
                elif persistent.narcount>=5 and "peri2" in persistent.cutscenes and "peri3" not in persistent.cutscenes:
                    timer 1.0 action Show("npc2", char="peri idle", cutscene="peri_event3")

                else:
                    $ d6roll = renpy.random.randint(1, 6)
                    if d6roll==1:
                        timer 3.4 action Show("npc2", char="cat1 idle", dough=18)
                    elif d6roll==2 or d6roll==3:
                        timer 2.6 action Show("npc2", char="cat2 idle", dough=8)
                    elif d6roll==4 or d6roll==5:
                        timer 2.0 action Show("npc2", char="witch3 idle", dough=5)
                    else:
                        timer 1.5 action Show("npc2", char="witch2 idle", dough=3)

            if not renpy.get_screen("npc3"):
                #VINEGAR STORY
                if persistent.campcount>=5 and "vin0" not in persistent.cutscenes:
                    timer 1.0 action Show("npc3", char="vin crying", cutscene="vin_intro")
                elif persistent.campcount>=15 and "vin1" not in persistent.cutscenes:
                    timer 1.0 action Show("npc3", char="vin idle", cutscene="vin_event1")
                elif persistent.lichcount>=12 and "vin1" in persistent.cutscenes and "vin2" not in persistent.cutscenes:
                    timer 1.0 action Show("npc3", char="vin idle", cutscene="vin_event2")
                elif persistent.narcount>=15 and "vin2" in persistent.cutscenes and "vin3" not in persistent.cutscenes:
                    timer 1.0 action Show("npc3", char="vin idle", cutscene="vin_event3")

                else:
                    $ d6roll2 = renpy.random.randint(1, 6)
                    if d6roll2==1:
                        timer 4.0 action Show("npc3", char="mince idle", dough=20)
                    elif d6roll2==2 or d6roll2==3:
                        timer 2.2 action Show("npc3", char="mouse1 idle", dough=6)
                    elif d6roll2==4:
                        timer 3.0 action Show("npc3", char="witch4 idle", dough=13)
                    elif d6roll2==5:
                        timer 1.2 action Show("npc3", char="mouse2 idle", dough=1)
                    else:
                        timer 1.8 action Show("npc3", char="witch1 idle", dough=4)

    hbox:
        align (.88,.5)
        ysize 340 yoffset 18
        use pot(p1timer, p1phase, 1)
        use pot(p2timer, p2phase, 2)
        use pot(p3timer, p3phase, 3)

    use plantcounter()

screen pot(pottimer, potphase, potnum):

    vbox:
        button xysize (220,260):
            add "plant_base"
            if potphase==0:
                action [ SetVariable("whichpot", potnum), ShowTransient("chooseseed") ]
                activate_sound audio.sidemenu
                add "tapcircle"
            elif potphase==1:
                action [ SetVariable("whichpot", potnum), Jump("nextphase") ]
                activate_sound audio.water
                sensitive pottimer==0
                if pottimer>0:
                    add get_plantpic(potnum, " seed")
                else:
                    add get_plantpic(potnum, " sprout")
                    add "tapcircle"
            else:
                action [ SetVariable("whichpot", potnum), Jump("harvest") ]
                activate_sound audio.grind
                sensitive pottimer==0
                if pottimer>0:
                    add get_plantpic(potnum, " sprout")
                else:
                    add "sparkle" at harvesttime
                    add get_plantpic(potnum, " flower")

        if potphase > 0 and pottimer > 0:
            $ countdown = "{:02d}".format(pottimer)
            text "0:[countdown]\r" xalign .5 xoffset 12 style "timer_text"
        # else:
        #     text _("tap!") xalign .5 at quickdissolvein

style timer_text:
    color "#fff"
    font "tl/None/Nunito-Bold.ttf"
    size 32

screen plantcounter():
    zorder 80
    style_prefix "plant_counter"
    frame:
        background Frame("counterframe",14,14)
        padding (22,20)
        align (.98,.96)
        grid 2 2:
            hbox:
                text teaplant.name
                text "x [persistent.teacount]"

            if "campplant" in persistent.unlocks:
                hbox:
                    text campplant.name
                    text "x [persistent.campcount]"
            else:
                hbox:
                    text _("????") color gui.idle_color
                    text "x 0" color gui.idle_color

            if "lichplant" in persistent.unlocks:
                hbox:
                    text lichplant.name
                    text "x [persistent.lichcount]"
            else:
                hbox:
                    text _("????") color gui.idle_color
                    text "x 0" color gui.idle_color

            if "narplant" in persistent.unlocks:
                hbox:
                    text narplant.name
                    text "x [persistent.narcount]"
            else:
                hbox:
                    text _("????") color gui.idle_color
                    text "x 0" color gui.idle_color


style plant_counter_hbox:
    xsize 380
style plant_counter_text:
    size 24

style seedmenu_text is plant_counter_text:
    insensitive_color gui.muted_color
style seedmenu_frame:
    background Frame("next_frame",12,12)
    insensitive_background Frame("insensitive_frame",12,12)
    padding (8,4)

screen chooseseed():
    tag sidemenu
    on "show" action [ Hide("npc1"), Hide("npc2"), Hide("npc3"), Hide("main1") ]
    frame:
        padding (30,20)

        style "sidemenu_frame"
        xalign .04
        xsize 404
        ypos 60

        has vbox

        null height 10
        label _("Seeds") xpos 16
        grid 2 2:
            style_prefix "seedmenu"
            button:
                action [ SetVariable("plantedseed", "tea"), Jump("plantseed")]
                sensitive persistent.dough>=teaplant.cost
                has vbox
                if persistent.dough>=teaplant.cost:
                    add "teaseed" zoom .9
                else:
                    add "teaseed" zoom .9 alpha .5

                if "intro" in persistent.cutscenes:
                    frame:
                        xalign .5
                        has hbox
                        xysize (100,40)
                        add "dough" zoom .6
                        text "[teaplant.cost]" yalign .5

            if "campplant" in persistent.unlocks:
                button:
                    action [ SetVariable("plantedseed", "camp"), Jump("plantseed")]
                    sensitive persistent.dough>=campplant.cost
                    has vbox
                    if persistent.dough>=campplant.cost:
                        add "campseed" zoom .9
                    else:
                        add "campseed" zoom .9 alpha .5

                    frame:
                        xalign .5
                        has hbox
                        xysize (100,40)
                        add "dough" zoom .6
                        text "[campplant.cost]" yalign .5
            else:
                null

            if "lichplant" in persistent.unlocks:
                button:
                    action [ SetVariable("plantedseed", "lich"), Jump("plantseed")]
                    sensitive persistent.dough>=lichplant.cost
                    has vbox
                    if persistent.dough>=lichplant.cost:
                        add "lichseed" zoom .9
                    else:
                        add "lichseed" zoom .9 alpha .5

                    frame:
                        xalign .5
                        has hbox
                        xysize (100,40)
                        add "dough" zoom .6
                        text "[lichplant.cost]" yalign .5
            else:
                null
            if "narplant" in persistent.unlocks:
                button:
                    action [ SetVariable("plantedseed", "nar"), Jump("plantseed")]
                    sensitive persistent.dough>=narplant.cost
                    has vbox
                    if persistent.dough>=narplant.cost:
                        add "narseed" zoom .9
                    else:
                        add "narseed" zoom .9 alpha .5

                    frame:
                        xalign .5
                        has hbox
                        xysize (100,40)
                        add "dough" zoom .6
                        text "[narplant.cost]" yalign .5
            else:
                null

        null height 10
        textbutton _("close") action Hide("chooseseed") style "sidemenu_button" activate_sound audio.sidemenu
        null height 20

style sidemenu_frame:
    background Frame("menuframe",18,18)
style sidemenu_button:
    idle_background Frame("peri_frame",12,12)
    hover_background Frame("cass_frame",12,12)
    xpadding 20
    xalign .5

init python:

    def check_newscene():
        if persistent.teacount>=5 and "cass0" not in persistent.cutscenes:
            return True
        if persistent.teacount>=10 and "peri0" not in persistent.cutscenes:
            return True
        if persistent.teacount>=15 and "cass1" not in persistent.cutscenes:
            return True

        if persistent.campcount>=5 and "vin0" not in persistent.cutscenes:
            return True
        if persistent.campcount>=10 and "peri1" not in persistent.cutscenes:
            return True
        if persistent.campcount>=12 and "cass1" in persistent.cutscenes and "astra1" not in persistent.cutscenes:
            return True
        if persistent.campcount>=15 and "vin1" not in persistent.cutscenes:
            return True

        if persistent.lichcount>=5 and "cass1" in persistent.cutscenes and "cass2" not in persistent.cutscenes:
            return True
        if persistent.lichcount>=10 and "peri1" in persistent.cutscenes and "peri2" not in persistent.cutscenes:
            return True
        if persistent.lichcount>=12 and "vin1" in persistent.cutscenes and "vin2" not in persistent.cutscenes:
            return True
        if persistent.lichcount>=15 and "astra1" in persistent.cutscenes and "astra2" not in persistent.cutscenes:
            return True

        if persistent.narcount>=5 and "peri2" in persistent.cutscenes and "peri3" not in persistent.cutscenes:
            return True
        if persistent.narcount>=10 and "cass2" in persistent.cutscenes and "cass3" not in persistent.cutscenes:
            return True
        if persistent.narcount>=15 and "vin2" in persistent.cutscenes and "vin3" not in persistent.cutscenes:
            return True

        if persistent.teacount>=18 and persistent.campcount>=18 and persistent.lichcount>=18 and persistent.narcount>=18 and "ending" not in persistent.cutscenes:
            return True

        return False

    def check_nextstory():
        if "cass0" not in persistent.cutscenes:
            return "[teaplant.name!t] x 5"
        if "peri0" not in persistent.cutscenes:
            return "[teaplant.name!t] x 10"
        if "cass1" not in persistent.cutscenes:
            return "[teaplant.name!t] x 15"

        if "vin0" not in persistent.cutscenes:
            return "[campplant.name!t] x 5"
        if "peri1" not in persistent.cutscenes:
            return "[campplant.name!t] x 10"
        if "cass1" in persistent.cutscenes and "astra1" not in persistent.cutscenes:
            return "[campplant.name!t] x 12"
        if "vin1" not in persistent.cutscenes:
            return "[campplant.name!t] x 15"

        if "cass1" in persistent.cutscenes and "cass2" not in persistent.cutscenes:
            return "[lichplant.name!t] x 5"
        if "peri1" in persistent.cutscenes and "peri2" not in persistent.cutscenes:
            return "[lichplant.name!t] x 10"
        if "vin1" in persistent.cutscenes and "vin2" not in persistent.cutscenes:
            return "[lichplant.name!t] x 12"
        if "astra2" not in persistent.cutscenes:
            return "[lichplant.name!t] x 15"

        if "peri2" in persistent.cutscenes and "peri3" not in persistent.cutscenes:
            return "[narplant.name!t] x 5"
        if "cass2" in persistent.cutscenes and "cass3" not in persistent.cutscenes:
            return "[narplant.name!t] x 10"
        if "vin2" in persistent.cutscenes and "vin3" not in persistent.cutscenes:
            return "[narplant.name!t] x 15"

        if "ending" not in persistent.cutscenes:
            return _("All x 18")

        if "ending" in persistent.cutscenes:
            if "extra1" not in persistent.cutscenes:
                return "[teaplant.name!t] x 40"

            if "extra2" not in persistent.cutscenes:
                return "[campplant.name!t] x 40"

            if "extra3" not in persistent.cutscenes:
                return "[lichplant.name!t] x 40"

            if "extra4" not in persistent.cutscenes:
                return "[narplant.name!t] x 40"

            if "extra5" not in persistent.cutscenes:
                return _("All x 50")

        return _("Story Complete!")

screen main1(cutscene):
    button:
        at deskpos
        padding (0,0)
        add "storynotif"
        if cutscene:
            action Jump(cutscene)

screen npc1(char, cutscene):
    button:
        if char=="cass peek":
            at npcpos1
        elif char=="vin idle":
            at npcpos1b
        else:
            at npcpos0
        padding (0,0)
        add char

        action Jump(cutscene)

screen npc2(char, cutscene=None, dough=0):
    button:
        at npcpos2
        add char

        if cutscene:
            action Jump(cutscene)
        else:
            action [SetVariable("persistent.dough", persistent.dough+dough), Show("getmoney", dough=dough), Hide("npc2")]

screen npc3(char, cutscene=None, dough=0):
    button:
        at npcpos3
        add char

        if cutscene:
            action Jump(cutscene)
        else:
            action [SetVariable("persistent.dough", persistent.dough+dough), Show("getmoney", dough=dough), Hide("npc3")]

transform openregister:
    pos (75,110)
    alpha 1.0 yoffset 0
    on hide:
        linear .5 yoffset -30 alpha 0
transform openregister2:
    yoffset 0
    easein .5 yoffset -20

screen getmoney(dough):
    on "show" action Play("sound", audio.sale)
    vbox:
        at openregister
        add "dough"
        text "+" + str(dough) xalign .5 color "#cbeeac" outlines [(3,gui.text_color,0,0)] at openregister2
    timer .01 action Hide("getmoney")

screen storychecker():
    tag sidemenu
    # modal True

    on "show" action [ Hide("npc1"), Hide("npc2"), Hide("npc3"), Hide("main1") ]

    default page = 0

    frame:
        style_group "story"
        xalign .04
        ypos 100
        padding (30,20)
        style "sidemenu_frame"
        xsize 404
        has vbox

        label _("Next Story")
        frame:
            background Frame("next_frame", 12,12) xfill True
            xpadding 20
            has vbox
            text check_nextstory()

        if "intro" in persistent.cutscenes:
            label _("Previous Stories")
            hbox:
                imagebutton xysize (56,56):
                    idle "icon astra idle"
                    selected_idle "icon astra selected"
                    selected_hover "icon astra selected"
                    action SetScreenVariable("page", 0)
                    activate_sound audio.choose1
                imagebutton xysize (56,56):
                    idle "icon cass idle"
                    selected_idle "icon cass selected"
                    selected_hover "icon cass selected"
                    insensitive "icon none idle"
                    action SetScreenVariable("page", 1)
                    sensitive "cass0" in persistent.cutscenes
                    activate_sound audio.choose1
                imagebutton xysize (56,56):
                    idle "icon peri idle"
                    selected_idle "icon peri selected"
                    selected_hover "icon peri selected"
                    insensitive "icon none idle"
                    action SetScreenVariable("page", 2)
                    sensitive "peri0" in persistent.cutscenes
                    activate_sound audio.choose1
                imagebutton xysize (56,56):
                    idle "icon vin idle"
                    selected_idle "icon vin selected"
                    selected_hover "icon vin selected"
                    insensitive "icon none idle"
                    action SetScreenVariable("page", 3)
                    sensitive "vin0" in persistent.cutscenes
                    activate_sound audio.choose1
                if "ending" in persistent.cutscenes:
                    imagebutton xysize (56,56):
                        idle "icon ma idle"
                        selected_idle "icon ma selected"
                        selected_hover "icon ma selected"
                        insensitive "icon none idle"
                        action SetScreenVariable("page", 4)
                        sensitive "extra1" in persistent.cutscenes or "extra2" in persistent.cutscenes or "extra3" in persistent.cutscenes or "extra4" in persistent.cutscenes
                        activate_sound audio.choose1

            null height 10

            vbox:
                ysize 200

                if page==0:
                    frame:
                        background Frame("astra_frame", 12,12) xfill True
                        has vbox
                        textbutton _("Opening") action [SetVariable("story_revisit", True), Jump("intro")]
                        if "astra1" in persistent.cutscenes:
                            textbutton _("Calling Home") action [SetVariable("story_revisit", True), Jump("astra_event1")]
                        if "astra2" in persistent.cutscenes:
                            textbutton _("Ruined Holiday") action [SetVariable("story_revisit", True), Jump("astra_event2")]
                        if "ending" in persistent.cutscenes:
                            textbutton _("Moving On") action [SetVariable("story_revisit", True), Jump("ending")]
                elif page==1:
                    frame:
                        background Frame("cass_frame", 12,12) xfill True
                        has vbox
                        textbutton _("Cassava Appears!") action [SetVariable("story_revisit", True), Jump("cass_intro")]
                        if "cass1" in persistent.cutscenes:
                            textbutton _("Funding your Dream") action [SetVariable("story_revisit", True), Jump("cass_event1")]
                        if "cass2" in persistent.cutscenes:
                            textbutton _("Bright and Early") action [SetVariable("story_revisit", True), Jump("cass_event2")]
                        if "cass3" in persistent.cutscenes:
                            textbutton _("Ghost of the Past") action [SetVariable("story_revisit", True), Jump("cass_event3")]

                elif page==2:
                    frame:
                        background Frame("peri_frame", 12,12) xfill True
                        has vbox
                        textbutton _("Wilting Periwinkle") action [SetVariable("story_revisit", True), Jump("peri_intro")]
                        if "peri1" in persistent.cutscenes:
                            textbutton _("No Rest for the Gorgeous") action [SetVariable("story_revisit", True), Jump("peri_event1")]
                        if "peri2" in persistent.cutscenes:
                            textbutton _("Potpourri") action [SetVariable("story_revisit", True), Jump("peri_event2")]
                        if "peri3" in persistent.cutscenes:
                            textbutton _("Healing the Soul") action [SetVariable("story_revisit", True), Jump("peri_event3")]

                elif page==3:
                    frame:
                        background Frame("vin_frame", 12,12) xfill True
                        has vbox
                        textbutton _("Tears of Vinegar") action [SetVariable("story_revisit", True), Jump("vin_intro")]
                        if "vin1" in persistent.cutscenes:
                            textbutton _("Shadow of Undeath") action [SetVariable("story_revisit", True), Jump("vin_event1")]
                        if "vin2" in persistent.cutscenes:
                            textbutton _("Worth Dying For") action [SetVariable("story_revisit", True), Jump("vin_event2")]
                        if "vin3" in persistent.cutscenes:
                            textbutton _("Rising Dead") action [SetVariable("story_revisit", True), Jump("vin_event3")]

                else:
                    frame:
                        background Frame("astra_frame", 12,12) xfill True
                        has vbox
                        if "extra1" in persistent.cutscenes:
                            textbutton _("Epilogue: Astragalus") action [SetVariable("story_revisit", True), Jump("extra1")]
                        if "extra2" in persistent.cutscenes:
                            textbutton _("Epilogue: Periwinkle") action [SetVariable("story_revisit", True), Jump("extra2")]
                        if "extra3" in persistent.cutscenes:
                            textbutton _("Epilogue: Vinegar") action [SetVariable("story_revisit", True), Jump("extra3")]
                        if "extra4" in persistent.cutscenes:
                            textbutton _("Epilogue: Cassava") action [SetVariable("story_revisit", True), Jump("extra4")]
                        if "extra5" in persistent.cutscenes:
                            textbutton _("The End") action [SetVariable("story_revisit", True), Jump("extra5")]

        null height 12
        textbutton _("close") action Hide("storychecker") style "sidemenu_button" activate_sound audio.sidemenu
        null height 12

style story_text:
    size gui.story_text_size
style story_button:
    activate_sound audio.choose3
style story_button_text:
    size 20#gui.story_text_size

screen decor():
    tag sidemenu

    default page = 0
    on "show" action [ Hide("npc1"), Hide("npc2"), Hide("npc3"), Hide("main1") ]

    frame:
        style_group "decor"

        padding (30,20)
        style "sidemenu_frame"
        xalign .04
        xsize 404
        ypos 100
        has vbox

        # hbox:
        #     imagebutton auto "togglemusic_%s" action SetScreenVariable("page", 0)# yalign .5


        label _("BGM")
        if page==0:
            frame:
                background Frame("peri_frame", 12,12) xfill True
                has vbox
                ysize 200
                textbutton _("Let's Grow") action [SetVariable("persistent.defaultbgm", audio.letsgrow), Play("music", audio.letsgrow)]

                if renpy.seen_audio(audio.cassava) or "postgame" in persistent.unlocks:
                    textbutton _("Seeded Joy") action [SetVariable("persistent.defaultbgm", audio.cassava), Play("music", audio.cassava)]
                else:
                    textbutton _("????")
                if renpy.seen_audio(audio.vinegar) or "postgame" in persistent.unlocks:
                    textbutton _("Sprouting Odor") action [SetVariable("persistent.defaultbgm", audio.vinegar), Play("music", audio.vinegar)]
                else:
                    textbutton _("????")

                if renpy.seen_audio(audio.peri) or "postgame" in persistent.unlocks:
                    textbutton _("Blossoming Magic") action [SetVariable("persistent.defaultbgm", audio.peri), Play("music", audio.peri)]
                else:
                    textbutton _("????")

                textbutton _("Way Back Home") action [SetVariable("persistent.defaultbgm", audio.home), Play("music", audio.home)]

        null height 12
        textbutton _("close") action Hide("decor") style "sidemenu_button" activate_sound audio.sidemenu
        null height 12

style decor_button is story_button#:
    # activate_sound audio.choose1
style decor_button_text is story_button_text:
    idle_outlines [(3,"#AFDFFF",0,0)]
    selected_outlines [(3,gui.hover_color,0,0)]
    hover_outlines [(3,"#AFDFFF",0,0)]
