﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define a = Character(_("Astragalus"), image="astra", outlines=[(8,"#f3daff",0,0),(4,"#a25898",0,0)])
define m = Character(_("Ma"), image="ma", outlines=[(8,"#dddaff",0,0),(4,"#7258a2",0,0)])
define c = Character(_("Cassava"), image="cass", outlines=[(8,"#ffe7b3",0,0),(4,"#c8701f",0,0)])
define w = Character(_("Periwinkle"), image="peri", outlines=[(8,"#bedbff",0,0),(4,"#5083c1",0,0)])
define v = Character(_("Vinegar"), image="vin", outlines=[(8,"#daecd9",0,0),(4,"#64816f",0,0)])

define narrator = Character(None, what_color="#546880")

default p1phase = 0
default p2phase = 0
default p3phase = 0

default plantedseed = "tea"
default p1plant = "tea"
default p2plant = "tea"
default p3plant = "tea"

default p1timer = 5
default p2timer = 5
default p3timer = 5

default persistent.cutscenes = []
default persistent.unlocks = []
default persistent.defaultbgm = audio.letsgrow

init python:

    def block():
        config.skipping = None
        renpy.checkpoint()
        renpy.block_rollback()
        renpy.retain_after_load()

# The game starts here.

label splashscreen:
    scene black
    if not persistent.setlanguage:
        call screen langset()
        $ persistent.setlanguage=True
    show splash with dissolve
    pause 2

    scene bg intro with fade

    if not persistent.cw:
        call screen splashnote()
        $ persistent.cw = True

    return

label start:
    $ _game_menu_screen = "preferences"

    if "intro" in persistent.cutscenes:
        jump enter_hub

    $ save_name = _("Astra's Apothecary")

    $ persistent.teacount = 0
    $ persistent.campcount = 0
    $ persistent.lichcount = 0
    $ persistent.narcount = 0
    $ persistent.dough = 10
    $ story_revisit = False
    $ firstseed = False
    $ firstwater = False

    scene bg intro

    "Long ago, in a magical town filled with witches..."
    show intro desk at truecenter
    show astra slowmortar at truecenter:
        ypos 252
    with dissolve
    "There was one particular witch, Astragalus, who opened an apothecary."
    "Astragalus' magic was good for raising plants. And she had always studied medicine..."
    "So this seemed like the natural thing for her to do."
    show astra rest
    "She had no particular interest in running a shop. Nor did she have a personality suited to it."
    show astra slowmortar
    "But she wanted to distribute her medicine. And this was the most direct way for her to do so..."
    scene bg cutscene with fade
    show astra annoyed at rightc, enterright
    if not story_revisit:
        show screen newprofile("astra")
    a "That should be the last of the troublesome paperwork... which means I can finally get back to my plants."
    hide screen newprofile
    a smile "Ahh, I missed the smell of fresh soil. Now what seeds do I have laying around..."
    $ quick_menu = False
    scene bg hub
    show astra desk at deskpos
    with dissolve

label tutorial:
    $ block()
    call screen plantraising_tutorial()
    jump intro

label enter_hub:
    if renpy.music.get_playing(channel='music')!=persistent.defaultbgm:
        play music persistent.defaultbgm fadeout 1.0 fadein 1.0
    $ quick_menu = False
    $ save_name = _("Astra's Apothecary")
    $ p1timer = 0
    $ p2timer = 0
    $ p3timer = 0
    $ story_revisit = False
    $ firstseed = True
    $ firstwater = True
    scene bg hub
    show astra desk at deskpos
    with fade
    $ block()
    if "ending" in persistent.cutscenes:
        if "postgame" not in persistent.unlocks:
            $ persistent.unlocks.append("postgame")
            "Congratulations on clearing the main story! Feel free to continue growing plants if you'd like."
            "Grow enough of them and you'll reach the epilogues...! Take it easy, and have fun!"
    else:
        if "peri0" in persistent.cutscenes and "campplant" not in persistent.unlocks:
            $ persistent.unlocks.append("campplant")
            play sound audio.notif
            show campseed at truecenter, showup
            "New Seed: [campplant.name!t]"
            hide campseed
        if "vin0" in persistent.cutscenes and "lichplant" not in persistent.unlocks:
            $ persistent.unlocks.append("lichplant")
            play sound audio.notif
            show lichseed at truecenter, showup
            "New Seed: [lichplant.name!t]"
            hide lichseed
        if "vin2" in persistent.cutscenes and "narplant" not in persistent.unlocks:
            $ persistent.unlocks.append("narplant")
            play sound audio.notif
            show narseed at truecenter, showup
            "New Seed: [narplant.name!t]"
            hide narseed

label plants:
    if "intro" not in persistent.cutscenes:
        jump tutorial
    $ block()
    call screen plantraising()
    jump plants

label plantseed:
    if "intro" in persistent.cutscenes:
        $ persistent.dough -= get_seedcost(plantedseed)
    play sound audio.plantseed

    if whichpot==1:
        $ p1plant = plantedseed
    elif whichpot==2:
        $ p2plant = plantedseed
    else:
        $ p3plant = plantedseed
    #roll into advancing phase and setting timer
label nextphase:
    if firstseed: #tutorial flags
        $ firstwater = True
    $ firstseed = True

    if whichpot==1:
        show water at watertime(540)
        $ p1timer = get_planttimer(p1plant)
        $ p1phase += 1
    elif whichpot==2:
        show water at watertime(770)
        $ p2timer = get_planttimer(p2plant)
        $ p2phase += 1
    else:
        show water at watertime(990)
        $ p3timer = get_planttimer(p3plant)
        $ p3phase += 1

    jump plants

label harvest:
    show astra mortaridle
    if whichpot==1:
        $ harvest_plant(p1plant)
        $ p1plant = None
        $ p1phase = 0
    elif whichpot==2:
        $ harvest_plant(p2plant)
        $ p2plant = None
        $ p2phase = 0
    else:
        $ harvest_plant(p3plant)
        $ p3plant = None
        $ p3phase = 0

    jump plants

label hide_npcs:
    hide screen main1
    hide screen npc1
    hide screen npc2
    hide screen npc3
    return

label intro:
    $ save_name = _("Opening")
    $ persistent.cutscenes.append("intro")
    play music audio.home fadeout 1.0 fadein 1.5
    call hide_npcs from _call_hide_npcs
    scene bg cutscene with fade
    show astra smile at rightc, enterright
    $ quick_menu = True
    $ block()
    a "Tea Camellia! Beautifully grown, if I do say so myself."
    play sound audio.phonecall
    "*ring, ring!*"
    a phone answer "Astra's Apothecary. Astragalus speaking."
    m "Good morning, Astra~!"
    a smile "Oh. Hey, Ma."
    m "How are things? Is your apothecary bustling with new customers?"
    a answer "Nah, it's been pretty quiet this morning."
    m "You didn't forget to open again, did you?"
    a calm "No wonder I finally had some time to myself. I'll open soon."
    m "Hahaha, you need an assistant to handle these things for you!"
    a smile "I'm fine on my own. Having someone else here all the time would be too suffocating."
    m "Yes, I know. My daughter is such a loner, she had to move hundreds of miles away from her family..."
    a ugh "This again?"
    m "We miss you! When are you coming home to visit?"
    a annoyed "I gotta open the shop, Ma."
    m "Your uncle will be here for the holidays! Make some time and call me back so we can arrange your schedule!"
    a answer "Bye, Ma."
    scene bg cutscene
    show astra neutral at rightc
    with fade
    a "Alright, store's open. There goes my quiet time..."
    a listen "I've still got some seeds left, though. Maybe I'll..."
    a smile "Aha! With this setup I can multitask. Let's get growin'."
    jump enter_hub

label cass_intro:
    $ save_name = _("Cassava Appears!")
    call hide_npcs from _call_hide_npcs_1
    play music audio.cassava fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra smile at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "Heh, now I've got tea for days. Just need to dry them out and..."
    show cass pose2 bright at leftc, enterleft
    c "{size=+8}Good morning~!{/size}"
    a pose2 freakout "{size=+8}GAAHHH!!!{/size}" with vpunch
    a shock "Wh-what the hell...? Cass...?!"
    $ persistent.cutscenes.append("cass0")
    if not story_revisit:
        show screen newprofile("cass")
    c pose1 laugh "Hahaha, what's wrong, little sister? You look like you've seen a ghost!"
    hide screen newprofile
    show astra pose2a pissed at nudgeleft
    a pissed "What are you doing suddenly showing up out of nowhere?! Get lost!!"
    c meanie "So mean! And here I was thinking it was so lovely to see how much you've grown!!"
    c pose1a smile "Anyway, getting down to business--I've brought you more money for the apothecary! Thought I'd deliver it personally this time."
    a pose1 conflicted "...Why?"
    c pose1 laugh "Why else? To check in on my beloved sister!"
    a grump "...."
    c awkward "Hahaa... well, then."
    c pose2a wink "I can see that you're very cranky today. So I'll be taking my leave!"
    c pose1a tease "May the sun find its way through your terrible gloom clouds. Good day!"
    show cass at exitleft
    a ugh "......"
    a troubled "(Really didn't expect to see HIS face again...)"
    a troubled2 "(Sure, it's thanks to him that I could afford to move here and open this place... but...)"
    a grump "(Nope. Not gonna think about it. I'm writing this off as a bad dream.)"
    a troubled "(I've got medicine to make...)"

    jump enter_hub

label peri_intro:
    $ save_name = _("Wilting Periwinkle")
    call hide_npcs from _call_hide_npcs_2
    play music audio.peri fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra annoyed at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "(This helpless-looking girl has been browsing my shelves for the past 20 minutes...)"
    show astra pose2 freakout at nudgeleft
    a freakout "(Augh, don't sit down in the middle of the aisle! You're in the way!!)"
    a pose1 ugh "(I'd better say something...)"
    show peri lost at leftc, enterleft
    w lost "...."
    a uh "Uh, can I help you?"
    w oh "Yes... I've been having trouble sleeping as of late."
    a neutral "Sleep aids are to your left."
    w tired "I appreciate it."
    show peri lost at exitleft
    pause .5
    a grump "(Whoops, maybe they're not a girl...)"
    a ugh "(Whatever. Who cares. Just hurry up and leave so I can get back to my plants.)"
    show peri helpless at leftc, enterleft
    w helpless "My, which one should I try? There are just so many."
    a neutral "Read the bottles and pick your favorite."
    w pout "That's so tedious..."
    $ persistent.cutscenes.append("peri0")
    if not story_revisit:
        show screen newprofile("peri")
    w pose2 grin "Periwinkle, by the way. Could I get your name as well? I don't see a nametag..."
    hide screen newprofile
    a annoyed "...Astragalus."
    w cheery "Astragalus~! Fitting, for someone who runs an apothecary."
    a whatever "Suuure..."
    w pose1 tired "So, I need your help, Astragalus! You see, I'm just feeling so exhausted..."
    w whine "I can't possibly decide which of these little bottles to buy on my own. You have to give me some kind of strategy to narrow it down!"
    a annoyed "Okay. There's capsules, powders, and gummies. Pick one within your price range. Any of 'em will work."
    w pose2 ohno "Which is the cheapest while still being fairly effective?"
    a grump "You could try some tea. Middle shelf to your right."
    w mymy "Mm, but I've already tried simple home remedies like that..."
    w pose1 whine "*sigh* I suppose I'll go with gummies, then."
    w pout "Ohh, but this powder is half the price! If they all work the same, why is there such a vast difference between them?"
    a ugh "(This fucking kid...)"
    a sarcastic "You want my advice? Buy the most expensive one. That's what's best for me, anyway."
    w pose2 cheery "Hmhm, you're hilarious~!"
    w pose2a grin "Alright, I've decided. I'll try the powder."
    a calm "(Ha, cheapskate...)"
    w cheery "Thank you so much, Astragalus~! Here's hoping this'll knock me right out <3"
    a smile "Yep. Have a nice day."
    w pose1 calm "Farewell~"
    show peri at exitleft
    pause .5
    a calm "(How exhausting... Really could do without the more talkative customers.)"
    a sarcastic "(Finally I can water my plants in peace.)"
    jump enter_hub

label vin_intro:
    $ save_name = _("Tears of Vinegar")
    call hide_npcs from _call_hide_npcs_3
    play music audio.vinegar fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra ugh at rightc
    with fade
    $ quick_menu = True
    $ block()
    a ugh "(Ugh... Someone's having a breakdown in the middle of my damn apothecary...)"
    a grump "(I'm no good with this sort of thing. But I can't just ignore her either....)"

    show vin sobbing at leftc, enterleft
    v sobbing "Gh...! *sniff* ... *sob* ...!"
    a uh "Hey... you okay?"
    show astra huh
    v scream "{size=+8}No, I'm dying!!{/size}" with vpunch
    v pose2 tantrum "Waaahhh!! *hic* Hnnngh...! *sniffle*"
    show astra pose2 frantic at nudgeleft
    a frantic "Well, pull yourself together! Are you really gonna make me mop up your tears later?!"
    v pose1 meanie "You're so mean!! *sob* I just told you I'm dying!!!"
    a pose2a freakout "How am I supposed to know if you're serious?!" with vpunch
    v sad2 "I-I guess you've got a point... *sniff* ...."
    a pose1 annoyed "C'mere, kid. Whaddaya need."
    v pout "Something to keep all my skin from falling off."
    a blank "...! It's not Undeath, is it?"
    v sad "... *nods* ...."
    a hurt "Shit... I'm so sorry."
    v cry "See? *sniff* I'm fucking dying."
    v sobbing "My body's gonna rot away, and then I'll be dead..."
    a console "You're still young. You'll live."
    a serious "What's your name?"
    $ persistent.cutscenes.append("vin0")
    if not story_revisit:
        show screen newprofile("vin")
    v sad2 "...Vinegar...."
    hide screen newprofile
    a "And how old are you, Vinegar?"
    v sad "Sixteen... *sniff*, why?"
    a annoyed "You'll live. Undeath is treatable--you came for some Lich's bane, right?"
    v sad2 "That sounds right...."
    a grump "You'd better remember the name. It'll be what keeps your limbs attached 5 years down the line."
    v cry "Will it...? They said there's nothing that stops the decay..."
    v pose2 dying "Even if it's slower, I'll still... *sob*...!"
    a serious "Listen. Take this."
    a "The side effects suck, but if you want to live longer, this is your best bet. It's the least risky treatment that works."
    v pose1 sad2 "*sniff*... Okay..."
    v sad "Th-thanks... sorry...."
    a troubled2 "Hang in there, alright?"
    v sad2 "*sniff* Yeah..."
    show vin at exitleft
    a console "...."
    a troubled "(Damn... Undeath at 16...)"
    a troubled2 "(A nasty witch virus that feeds on your own magic, rotting your flesh away until you're a walking corpse...)"
    a troubled "(It's too cruel. But it looks like they caught it before she started showing any major symptoms...)"
    a console "(...She'll be okay. Undeath is much more manageable these days.)"
    a "(....)"
    a troubled "(Damn it, this is drudging up unwanted memories.)"
    a troubled2 "(I gotta prep more medicine...)"

    jump enter_hub

label cass_event1:
    $ save_name = _("Funding your Dream")
    call hide_npcs from _call_hide_npcs_4
    play music audio.cassava fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra annoyed at rightc
    with fade
    $ quick_menu = True
    $ block()
    show cass pose2a wink at leftc, enterleft
    c wink "Greetings, little sister! I hope you are in a much better mood today."
    a sigh "*sigh* Let me guess. You're here to personally deliver more money."
    c pose1a laugh "Correct~! Here you are."
    a whatever "Is this gonna be a regular thing now...?"
    c pose1 meanie "You don't sound too enthused. Aren't you happy to see me?"
    a troubled2 "I don't know how I'm supposed to feel."
    c awkward "At least say thank you. This is my life savings I'm handing over!"
    a grump "I never asked you to do that..."
    c pose2 bright "But I'm happy to! Opening this apothecary was your dream, yes?"
    a troubled2 "Not particularly..."
    c pose1 oh "It wasn't? Then why did you spend all that time studying medicine?"
    a whatever "I never had any aspirations to work anywhere. I just wanted to make the most of my magic."
    a ugh "You know what--nevermind. I'm ignoring you, so go away."
    c pose2a pride "Too cruel! In that case, I refuse to leave!"
    a sadsmile "You've always been stubborn like that..."
    c pose1a smile "So, how have things been? Is this job everything you expected?"
    a smile "More or less."
    show cass kind
    c "Any highlights so far?"
    a calm "A lotta slow days. Plenty of time to raise my plants."
    c pose1 tease "Please tell me you're making friends!"
    a sarcastic "I'm not in the business to make friends. Just medicine."
    c pose2a wink "Such an altruist <3 You're mean, but you have a good heart."
    a calm "Shut up, Cass."
    c pose1 laugh "Hahaha, at least I got you smiling again."
    c smile "I'm heading out for today. Be good to your customers, little sister!"
    stop music fadeout 3.0
    show cass at exitleft
    pause .5
    a pose2 shock "Ah--!"
    a pose1 troubled "(Damn it, Cass... Don't leave so abruptly...)"
    a troubled2 "(That's why I was mad at you to begin with....)"
    $ persistent.cutscenes.append("cass1")
    jump enter_hub

label astra_event1:
    $ save_name = _("Calling Home")
    call hide_npcs from _call_hide_npcs_5
    play music audio.home fadeout 1.0 fadein 1.5
    scene bg cutscene
    show astra neutral at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "(Oh, right. I should call home...)"
    play sound audio.phonecall
    show astra phone answer
    "*ring, ring!*"
    m "Yes, hello?"
    a smile "Hey, Ma. Is now a bad time?"
    m "Not at all, darling! Did you want to discuss your travel dates? Let me fetch my planner!"
    a sarcastic "I'm not traveling, Ma."
    m "What?! Then why did you call?"
    a calm "Just wanted to say hi. I can't close up shop, I have customers that rely on me now."
    m "You're just using that as an excuse. I know your ways, Astra..."
    a smile "It's not an excuse..."
    m "You said the same thing about medical school. \"I can't come home, I have tests!\""
    a sarcastic "I never woulda graduated if I came home every time you asked me to."
    m "Maybe that would have been for the best, eh? At least then your mother wouldn't be so lonely!"
    show astra whoops at nudgeleft
    a whoops "I call you all the time!"
    m "I'm going to be all alone with Auntie Amaranth over the holidays, all because you and your father never stop working..."
    a answer "I thought you said Uncle Mung would be there?"
    m "He's abandoned me, too! That traitor of a brother!"
    m "I need to get ahold of your cousins, maybe they can change his mind..."
    a calm "Every year it's like herding cats..."
    m "It didn't used to be! No one likes to come home anymore, I don't understand it..."
    a troubled2 "Mm...."
    a hurt "Hey, Ma? About Cass..."
    m "...."
    a console "...Nevermind. It's nothing."
    m "A-ah... well, in any case, you had better do something about your schedule! If you won't come for me, come to see your cousins!"
    a sarcastic "Oh, they'll be there, then?"
    m "I will convince them! You'll see, Astra!"
    a sadsmile "Okay. Good luck, Ma."
    scene bg cutscene
    show astra troubled2 at rightc
    with fade
    a "(...It's too hard to talk about Cass. I shouldn't have mentioned him.)"
    a whoops "(Why'd he have to show up here...? Why do I have to deal with this on my own?)"
    a ugh "(My head hurts... I need a nap....)"
    $ persistent.cutscenes.append("astra1")
    jump enter_hub

label peri_event1:
    $ save_name = _("No Rest for the Gorgeous")
    call hide_npcs from _call_hide_npcs_6
    play music audio.peri fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra neutral at rightc
    with fade
    $ quick_menu = True
    $ block()
    show peri pose2 cheery at leftc, enterleft
    w cheery "Hello again~ Remember me? <3"
    a uh "You're... oh. The cheapskate with the sleep problem, right?"
    w shock "Cheapskate?! How rude~!"
    w pose1 helpless "But maybe a little deserved. The powder I bought last time didn't have much of an effect."
    a grump "Sorry to hear that."
    w lost "I'm beginning to wonder if I'm going about this the wrong way."
    w pose2 mymy "I can't waste all my spending money buying a new sleep aid every few weeks..."
    a whatever "Hmm. Did the powder lose effectiveness over time, or did it never work at all?"
    w ohno "I'm not quite sure. My exhaustion levels seem to be about the same as before..."
    a console "Alright, let's see if we can get to the bottom of this."
    a serious "Have you been to a doctor?"
    w pose1 whine "I have, but... *yawn*... they weren't able to offer me any immediate answers..."
    w lost "I was told it's likely an issue of mental health, rather than anything physiological. So I suppose that's good news."
    a whatever "Okay. Something keeping you up at night?"
    w sad "Oh, I have no trouble falling asleep. I just never feel rested, you know~?"
    w "Even if I spend the whole day in bed, I'm still just as exhausted the next morning..."
    w troubled "Except then I have to get up and go to work! And that's its own problem."
    a sarcastic "Crappy job?"
    w helpless "No, the people are lovely. It's just... perhaps not quite as I envisioned when I first started out."
    a console "Huh."
    a neutral "If you didn't have to worry about showing up for work, do you think you'd be able to sleep better?"
    w pose2 ohno "Oh, I couldn't do that~! Not when I've only just started getting paid decently!"
    a whatever "What kind of job hasn't been paying you decently up 'til now?"
    w grin "Ah, I'm a model. Couldn't you tell from my good looks? <3"
    a sigh "...You can't take any modeling gigs with those bags under your eyes."
    a serious "Here, I'll get you a special sleep aid. Discounted this time."
    w pose1 helpless "Ahh, haha, you're a lifesaver, Astragalus~"
    scene bg cutscene
    show peri tired at leftc
    with fade
    show astra closed at rightc, enterright
    a "Alright... take these."
    a neutral "They're powerful, so I can only sell 'em in small quantities. Come back next week if you want more."
    w pose2 ohno "Only a week's supply? But this place is such a long walk from where I'm staying..."
    a uh "I could take a mail order?"
    w oops "Ahh, that would be a little difficult--I don't have a stable address at the moment."
    a whatever "...You really don't let on how stressed out you are, do you?"
    w pose2a cheery "I'll see you again next week <3"
    show peri at exitleft
    pause .5
    a whoops "(He ran away...)"
    a answer "(Well... it's not really my problem. In fact, I make more money if he keeps buying sleep aids.)"
    a ugh "(...This business is messed up.)"

    $ persistent.cutscenes.append("peri1")
    jump enter_hub

label vin_event1:
    $ save_name = _("Shadow of Undeath")
    call hide_npcs from _call_hide_npcs_7
    play music audio.vinegar fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra neutral at rightc
    with fade
    $ quick_menu = True
    $ block()
    show vin sorry at leftc, enterleft
    v "Uh... hey."
    a closed "Vinegar, wasn't it? Welcome back."
    v awkward "Yeah... uh... Sorry about last time."
    v pose2 dark "I was pretty messed up before, but I think I've accepted it now. That this is just the way it is."
    a neutral "You're here for a refill, right? I had it set aside for you--just a sec."
    show astra at exitright
    pause .5
    v dark2 "...."
    show astra serious at enterright
    pause .5
    a serious "If you were taking these consistently, you should've run out last week. What happened?"
    v pose1 lookaway "I couldn't get here until now."
    a console "So send someone next time. Parent, guardian?"
    v mad "My parent is useless. Now that I'm on medication, they're treating me like I'm not even sick."
    v mad2 "I TOLD them I ran out, and they still wouldn't come pick it up for me. It's like they want my legs to fall off sooner."
    a troubled2 "(This poor kid...)"
    v pose2 hollow "But maybe if my legs did fall off, they'd take this whole thing more seriously. Instead of acting like it's only hard for THEM."
    a serious "How you holdin' up? The muscle aches aren't too bad yet, right?"
    v pose1 grr "They're not bad, just constant... it's so annoying...."
    a console "You'll get used to it. Or at least, the later symptoms are gonna make you wish all you had to deal with was a sore back."
    v awkward "Great. That's uplifting."
    a serious "Just being honest. Not really a bright side to this--I'm not gonna act like there is."
    v empty "Hah... my life is fucking over...."
    a closed "You'll be alright. There've been plenty of cases where a witch can still live to old age--especially once they find a treatment that works for them."
    v sad2 "... *sniff* ...."
    v sad "Hey. How do you know so much about my illness...?"
    a neutral "Lost a family member to it."
    v pose2 dark2 "Oh... sorry."
    a closed "Don't be. It was a long time ago."
    a smile "After a while, this whole thing'll become normal to you. There'll be bad days, and there'll be regular-ass boring days."
    a "Live under the shadow of death for long enough, and the fear turns to background noise. It's not just constant misery."
    v pose1 neutral "So you're saying I'll reach a point where this doesn't completely suck...?"
    a sigh "No, it'll always suck. But you'll at least be able to laugh about it the thirtieth time your jaw falls off eating dinner."
    v empty "Thirty times, then I can laugh... got it."
    a serious "Listen, Vinegar... I'm not your doctor. I just make medicine. So I can only speak from personal experience..."
    a console "But we threw all sorts of crazy spells at this thing. Fixed time-reversal, purification, even soul extraction--none of it worked."
    show vin wow at nudgeleft
    v wow "Soul extraction?! I've never even heard of that one!"
    a sigh "Yeah, there aren't many witches who can pull it off. Maybe things are different nowadays, but I doubt it's gotten any less risky."
    v thinking "Huh..."
    a neutral "My point is, there are a lot of different paths you can take. But this one's a sure thing."
    a smile "So don't miss any more doses, alright? Take care of yourself."
    v neutral "Yes, ma'am...."
    show vin lookaway at exitleft
    pause .5
    a "...."
    a console "(Damn. I'm getting too invested in this kid's well-being...)"
    a troubled "(Don't get involved, Astra. You're just here to help people along, then send 'em on their way.)"
    a troubled2 "(I can't cure Undeath. In fact, I'd rather not think about it more than I have to...)"
    a console "......"
    a whatever "(If I really wanted to escape it though... I went into the wrong line of work.)"
    $ persistent.cutscenes.append("vin1")

    jump enter_hub

label cass_event2:
    $ save_name = _("Bright and Early")
    call hide_npcs from _call_hide_npcs_8
    play music audio.cassava fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra closed at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "...Zzz...."
    show cass pose2 bright at leftc, enterleft
    c "{size=+8}Good morning, little sister~!{/size}"
    a pose2a freakout "{size=+8}GAHHH!!!{/size}" with vpunch
    show astra pissed at nudgeleft
    a pissed "Didn't I tell you not to scare me like that?!"
    c pose1 laugh "Did you? I had to wake you up somehow!"
    a pose1 ugh "...I guess I did need to open the shop pretty soon...."
    a grump "You're the worst alarm clock I could've asked for. Don't do it again."
    c tease "Aww~ you are NO fun at all."
    a serious "Nevermind that. Cass, we need to talk."
    c pose2a wink "Yes, I'd be delighted to! That is EXACTLY what I came here to do!"
    a huh "...Really?"
    c pose1a laugh "Of course! How else will I catch up on everything you've been up to since I've been gone?"
    a tsun "...There's nothing to catch up on. I finished school, then I used your money to open this place."
    c pose1 oh "...That's it? But I already knew those things!"
    a troubled "Exactly. Which is why I'd rather talk about YOU instead."
    c awkward "Ahh, but talking about me isn't as fun..."
    a serious "Why are you here, Cass?"
    c pose2 bright "...What if we reminisce instead! Do you remember that time Ma started a garden in the backyard?"
    c pose2a pride "She should have known what would happen! Of course we wouldn't have been able to resist a growing contest!"
    a sadsmile "...Your blackberry bush grew out of control. My little sprouts didn't stand a chance."
    c pose1 laugh "But then we were stuck getting rid of it all! She didn't even let us wear gloves!!"
    a laugh "It was child abuse! I still have little scars on my hands from the thorns!!" with vpunch
    c pose2 bright "So do I! See?"
    c pose1 oops "A-ah... nevermind. They must be gone by now."
    a sadlaugh "What are you saying? Of course they're long gone, dingus..."
    c awkward "Haha... I must have laughed too hard. I'm feeling a little lightheaded."
    a troubled2 "...Are you gonna disappear again?"
    c pose1a calm "I won't disappear. I still have more payments for you."
    a troubled "Well... the apothecary's running smoothly. I don't need any more from you."
    c tease "Now you're TRYING to get rid of me."
    c pose1 laugh "Fine. I'll go for today, but I'll be back the next time you need an alarm clock!"
    show cass at exitleft
    show astra pose2a frantic at nudgeleft
    a pose2a frantic "I don't need an alarm clock!! Especially if it's you!!!"
    a pose1 ugh "...."
    a sadlaugh "Pfft... friggin Cass..."

    $ persistent.cutscenes.append("cass2")
    jump enter_hub

label peri_event2:
    $ save_name = _("Potpourri")
    call hide_npcs from _call_hide_npcs_9
    play music audio.peri fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra ugh at rightc
    with fade
    $ quick_menu = True
    $ block()
    show peri whine at leftc, enterleft
    w "Bad news, Astragalus! This one didn't..."
    w pose2 gasp "Ugh, what is that awful smell?! Don't tell me something died in here!" with vpunch
    a grump "Grew too much Lich's bane. Come back in an hour--it'll air out."
    w pose2a noway "An hour?! I won't allow anyone to endure this foul odor for another second...!"
    play sound audio.magic
    show peri wand hmph
    "Periwinkle waves his wand and fills the room with a flowery fragrance!"
    a pose2 shock "...?! (He completely nullified the stench...!)"
    w pose1 calm "*sigh* Much better. Now, as I was saying..."
    a yes "Hold up--you're an aromagician?"
    w tired "I am. Kind of a frivolous specialty, I know--"
    show astra pose2a yes2 at nudgeleft
    a pose2a yes2 "No, you're valuable! I haven't been able to find a good supplier... this is perfect!"
    w pose2 huh "Supplier? Of what, dare I ask?"
    a pose1 happy "Scents. I need you to make me some--hang on, I'll write them down."
    w pose2a annoyed "I am not going to become your personal air freshener, if that's what you're asking."
    a happy2 "They're for customers! I'll pay you a premium for it."
    w huh "For what...?"
    a happy "Bottle your magic and sell it to me. If I like what you've got, I'll order more."
    w pose1 sad "Sell you my magic...? How much could perfumes be worth?"
    a smile "Here's the starting price. Build up a reputation and I can start charging people more."
    w wha "...This can't be right."
    a annoyed "I'm serious. We can negotiate your percentage if this isn't enough for you."
    w pose2 huh "N-no, I... This number is per batch?"
    a grump "Per bottle."
    w ohno "...And how often would you need these orders? Generally speaking."
    a answer "Every few weeks or so. Depends on how fast they sell out."
    w pose1 wow "I could quit modeling..."
    w troubled "No, this is far too easy! There has to be some kind of catch."
    a happy "No catch. Make me a sample of everything on this list, and I'll pay you for it. ASAP."
    w pose2 mymy "...Very well. I suppose it can't hurt to try."
    a happy2 "Great! Finally, I can stock some good aromagic... It's about damn time..."
    show astra at exitright
    pause .5
    w ohno "...Hellooo~? I came here to make a purchase, you know..."
    w pose1 calm"...Ohh, nevermind. This might just solve my problems on its own <3"

    $ persistent.cutscenes.append("peri2")
    jump enter_hub

label vin_event2:
    $ save_name = _("Worth Dying For")
    call hide_npcs from _call_hide_npcs_10
    play music audio.vinegar fadeout 1.0 fadein 1.0
    scene bg cutscene
    show vin at leftc
    show astra smile at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "Here's your refill. Good job coming in on schedule."
    v lookaway "Uh-huh...."
    v pose2 dark2 "...Hey. What happens if I stop taking this?"
    a annoyed "You'll die."
    v pose1 wtf "{size=+8}Just like that?!{/size}" with vpunch
    a uh "Well, your body will go back to rotting faster. And THEN you'll die."
    v grr "Uuuhhhggghhh... miserable on it, miserable off it. Guess there's no choice."
    a neutral "There's always a choice. This just happens to be the most effective. Probably."
    v sorry "Probably...."
    a console "Like I said before, there are lots of different ways to treat your illness."
    a serious "But if this medicine is helping, don't stop taking it on a whim."
    v awkward "Uh... it's not just a whim. The side effects are seriously killing me."
    v empty "I can't even drink a soda without feeling like shit the rest of the day. It's like, what's even the point."
    a calm "Eh, soda's bad for you anyway."
    v pose2 dark2 "It's my favorite drink..."
    a sarcastic "Worth dying for?"
    v dark "...Will you think I'm stupid if I say yes."
    a smile "Nah. It's what I'd expect to hear from someone your age."
    v pose1 lookaway "Aaand now I'm being talked down to..."
    a console "Vinegar, listen..."
    a serious "Whether you stick to this or find some other treatment, you HAVE to keep trying. If you give up, there's no coming back."
    v sorry "I... really hate being told stuff like that..."
    a listen "...?"
    v empty "Like, just keep trying? What does that mean, in the end? Living longer? For what?"
    v "It's hard to see the point in living as long as I can when I know every second of it is gonna be excruciating."
    a hurt "Vinegar, you can't think like that--"
    v awkward "Could you stop telling me what to do? You always talk like you know so much, but you've never had to live with what I do."
    v pose2 hollow "No one knows what this is like--you can't even imagine. You feel sorry for me, but it's not actually your problem!"
    v dark "It's only been a couple months, but my skin's already falling off the bone in some places. Sorry. I know it's gross to talk about."
    v hollow "But that's what I have to look forward to when I get up every morning. If I can even get up, haha."
    v pose1 awkward "\"Don't give up!\" Yeah, more like \"Good luck with your suffering!\" Thanks, I really needed to hear that."
    v sorry "You're trying to help me, I know... but expecting so much out of me only makes me feel worse."
    a console "...Sorry."
    v pose2 dark2 "Uh... I mean. I've just... been hearing that kind of thing from everyone lately..."
    v hollow "It's like, I'm already doing my best. What more do you want from me... haha...."
    a troubled2 "Yeah. I never considered..."
    a console "I've got work to do. 'Scuse me."
    show astra at exitright
    pause .5
    v pose1 wow "Ah--uh... okay...."
    v wtf "(Gehhh...! I totally went off on her! Stupid, stupid!!)" with vpunch
    v pose2 hollow "(Why'd I have to say all that?! She's the only one who's done this much to help me, and now she's pissed...)"
    v pose1 sorry "(I just wanna be able to do things I like... instead of laying around feeling sick to my stomach...)"
    # show vin at exitleft
    scene bg cutscene
    # show darken
    show astra console at rightc
    with fade
    a "...."
    a hurt "(Is that how he felt, too? Is that why he gave up on his treatment?)"
    a grief "(Was it OUR fault for wanting him to live so badly? Damn it....)"
    a teary "(We were ALL exhausted... I knew that, but I was still so angry with him....)"
    a console "......"
    a serious "(I'm giving myself a headache... Gotta check on my plants....)"
    $ persistent.cutscenes.append("vin2")
    jump enter_hub

label astra_event2:
    $ save_name = _("Ruined Holiday")
    call hide_npcs from _call_hide_npcs_11
    play music audio.home fadeout 1.0 fadein 1.5
    scene bg cutscene
    show astra whoops at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "What if I don't bother opening the store today...? I don't have the energy to deal with customers right now...."
    play sound audio.phonecall
    "*ring, ring!*"
    a ugh "Who the hell...? Leave me alone..."
    a sigh "*sigh* Might as well..."
    a phone answer "Astra's Apothecary. Astragalus speaking."
    m "Terrible news, Astra! Your cousins have their OWN holiday party planned! Can you believe this?!"
    a calm "Hey, Ma."
    m "Why must everyone avoid me? What did I ever do to them? Tell me, what!"
    a sadsmile "You didn't do anything. They just have their own thing going on."
    m "Is it my cooking? That can't be it, they all LOVE my cooking... so how can they pass up a feast? Complete nonsense."
    m "Now you HAVE to come home. There's no choice! You can tell your customers \"family comes first\"!"
    a sarcastic "Uh-huh. I'll consider it."
    m "Astra... I've been thinking since your call."
    a listen "Hm...?"
    m "How long has it been? Seven years...? It's been long enough."
    a uh "...Since what?"
    m "You were the one who brought it up! About Cass!!"
    a huh "...!"
    a hurt "I... y-yeah. Look, now's a bad time. Sorry."
    a grief "I'll call you back, okay? ...Bye."
    scene bg cutscene
    show astra ugh at rightc
    with fade
    a ugh "...."
    a console "(I can't tell her he came back. I don't have it in me.)"
    a grief "(Why'd I even bring him up? Over the phone, too?! Idiot!)"
    a ugh "(That does it. I definitely need to take the day off...)"

    $ persistent.cutscenes.append("astra2")
    jump enter_hub

label peri_event3:
    $ save_name = _("Healing the Soul")
    call hide_npcs from _call_hide_npcs_12
    play music audio.peri fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra neutral at rightc
    with fade
    $ quick_menu = True
    $ block()
    show peri pose2 cheery at leftc, enterleft
    w "Astragalus~ I finished those perfume samples you asked for~!"
    show astra pose2a yes2 at nudgeleft
    a pose2a yes2 "Just who I wanted to see! It's about time!!"
    w pose2a annoyed "This was much harder than it looked, you know. I could barely conjure them how I wanted, what with my ongoing sleep deprivation..."
    a pose1 calm "*sniff* *sniff* ...Yes...!"
    a sigh "*sniff* Wow, didn't expect you to get this one right at all...!"
    w pose1 troubled "Do tell me if I missed the mark on any of them. I could try again if you give me a little more time..."
    a happy "No, these are great. Perfect! You're hired, Periwinkle."
    w wha2 "Really? Just like that?"
    a happy2 "Yep. Here's your payment."
    w pose2 cheery "Ah... thank you! Thank you so much!!"
    w grin "Hmhm, I'm a little medicine boy~! Who knew! <3"
    a annoyed "DON'T call it medicine."
    w huh "Oh? But I thought you said...?"
    a grump "There's a difference between stuff that heals your body and stuff that heals your soul. Don't go advertising one as the other."
    w pose1 calm "Healing the soul, hm...? How poetic <3"
    w helpless "I still don't quite understand HOW exactly my magic could be used for any sort of healing, much less how you justify the price tag..."
    a smile "Pure magic always sells for a lot. It's basic supply and demand--most witches can't conjure things like this."
    w oh "Is that so? It's always come naturally to me..."
    a calm "Yeah, that's called talent. As for its uses..."
    a neutral "Most of these scents have a calming effect. It's a passive method of stress reduction--Might help, and definitely won't hurt."
    a smile "Some aromagicians can only make overpowering scents, but yours are nice and gentle. Perfect for what I'd like to sell."
    w pose2 grin "My~ no one's ever called my magic gentle before! You flatter me, Astragalus."
    w oops "If only I could've done something for my OWN stress... but then I suppose I would never have come here."
    a happy "Yeah, that would've been bad for me. I thought it was gonna take YEARS to track down a supplier I liked."
    w pose1 laugh "Hmhmhm... <3"
    w pose2a cheery "Astragalus! I like you, too. Let's be friends~!"
    a annoyed "What? No. You work for me, I'm not your friend."
    w grin "Come now, it's not as if I'm propositioning you! It's merely friendship <3"
    a ugh "If you're gonna be weird about this, maybe I'll look for someone else after all."
    w pose2 shock "No, no! I'm valuable, remember? You can't just toss me aside like that!" with vpunch
    a whatever "I can and I will."
    show peri cheery at left2center
    w cheery "{size=+8}Astragalus~~~! Don't be so cold!!{/size}"
    a pose2a freakout "Don't come near me! I'll seriously fire you!!!" with vpunch
    show astra at exitright
    pause .5
    show peri at center2right
    w "How else am I supposed to show my gratitude~? At least let me shake your hand! <3"
    show peri at exitright
    pause .5
    $ persistent.cutscenes.append("peri3")
    jump enter_hub

label cass_event3:
    $ save_name = _("Ghost of the Past")
    call hide_npcs from _call_hide_npcs_13
    play music audio.cassava fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra closed at rightc
    with fade
    $ quick_menu = True
    $ block()
    show cass pose2a wink at leftc, enterleft
    c "Good evening, little sister~!"
    a tsun "Cass..."
    c pose1 laugh "Haha~ didn't expect to see me after closing, did you?"
    a sadsmile "Yeah. Since you're such a morning person."
    c pose2a pride "Early riser! Yes, that's me!"
    a troubled2 "Bit of a late riser now though, aren't you?"
    c pose1 awkward "Ahh, haha, well... I haven't been feeling so great..."
    stop music fadeout 3.0
    a conflicted "Because you stopped taking your medicine."
    c pose1a oops "...Do we have to talk about that? It's so depressing..."
    play music audio.home fadein 1.5
    a console "If we don't talk about it, you're just gonna keep haunting me."
    c awkward "This isn't a haunting..."
    a hurt "Why did you stop taking it, Cass?"
    c "Welllll, it wasn't making me feel any better..."
    a troubled "But it was keeping you alive."
    a troubled2 "...And you were getting tired of that, weren't you."
    c oh "...!"
    c oops "Y-yeah... haha, I didn't think anyone would pick up on that."
    a console "I didn't, until now."
    c sorry "...."
    a "...."
    c pose1 awkward "Awkward silence~! Maybe I should go?"
    a sadsmile "Shut up, Cass."
    a hurt "I hadn't forgiven you, y'know. No matter how I looked at it, you just seemed like you gave up in the end."
    a grief "Like you didn't care how me, or Ma, or your kids felt. You got sick of us, decided you'd go, and then you were gone."
    c pose1a sick "I wasn't sick of any of you..."
    a hurt "You were sick of yourself, then."
    c sick2 "...I was just sick."
    show cass bones1a zomsick2 with Dissolve(2)
    $ persistent.cutscenes.append("cass3")
    c zomsick2 "It gets to a point, you know? I had to be done."
    a cry "... *sniff* ...."
    c bones1 zomawkward "Aww~ dry your tears, little sister! I'm here now, aren't I?"
    a sadlaugh "Are you? I still can't tell if I've been hallucinating all this time."
    c zomtease "Hmm, you HAVE been exposed to a lot of strange plants. Open a window every now and then!"
    a sadsmile "Yeah. Or maybe that soul extraction spell we tried had a 10 year delay."
    c zomoh "*GASP* I forgot about that one!!"
    c zomlaugh "We really tried everything, didn't we? Hahaha!"
    a sadlaugh "Pfft--yeah... you really went through hell...."
    c bones2a zompride2 "Remember that doctor who thought they could wrap me up like a mummy and call it a day?"
    a laugh "It kept your skin on, but we barely made it 3 days before the smell got to be completely unbearable!"
    c zombright "Hahaha, no worse than some of the plants you have here!"
    a crylaugh "Is your nose on right?! You were rancid!!"
    c bones1a zomoh "Just the rotting parts! I, myself, smell perfectly wonderful! Like a beautiful bouquet!!"
    a notcrying "Hahahaha...! *sob* Aha...!"
    c zomlaugh "Now, now~ I said no tears, little sister!"
    a crylaugh "I'm not crying... You just smell so terrible, it makes my eyes water...!"
    c bones1 zomoh "What?! I don't smell right now, do I?!" with vpunch
    a notcrying "I really gotta air out the shop! *sniffle* Ahaha...!"
    show astra at exitright
    pause .5
    show cass bones2a zompride2 at left2center
    pause .5
    c bones2a zompride2 "I'm telling you, it's the plants! The plants are to blame!! Hahahaha!"
    jump enter_hub

label vin_event3:
    $ save_name = _("Rising Dead")
    call hide_npcs from _call_hide_npcs_14
    play music audio.vinegar fadeout 1.0 fadein 1.0
    scene bg cutscene
    show astra closed at rightc
    with fade
    $ quick_menu = True
    $ block()
    show vin sorry at leftc, enterleft
    v "H...hey...."
    a neutral "You here for a refill? I'll get it ready for you in a sec."
    v pose2 dark2 "N-no, I... that's not why I came in today."
    a listen "Hm? Then...?"
    v dark "Uh... I was kind of a dick to you last time. I wanted to apologize."
    a troubled2 "...Don't worry about that. I needed to hear it."
    v pose1 wow "Huh...?"
    a console "It ain't my place to ask anyone to try harder. I can't be the judge of that, especially when it's not me who has to buckle down and deal with it."
    v thinking "...Thanks."
    a uh "Anyway... you sure you don't want a refill? Feels weird to send you outta here empty handed."
    v wow "N-no, um..."
    v sorry "I don't think this medicine is working out for me after all..."
    a closed "...I see."
    v awkward "But, uh... I-I'm not giving up or anything! I'm gonna try and find a treatment that doesn't make me feel like dying..."
    v sorry "At least... looking for something like that gives me a reason to get out of bed every day."
    v pose2 hollow "Fffuck, that's pathetic! Sorry I said anything!" with vpunch
    a troubled2 "No, it's... I mean, whatever keeps you going."
    a serious "Best of luck, Vinegar. You're welcome to come back here if you ever change your mind."
    v pose1 wow "Th-thanks... you were a big help."
    v smile "Well... bye, then."
    play music audio.letsgrow fadeout 1.0 fadein 1.5
    scene bg cutscene
    # show darken
    show astra closed at rightc
    with fade
    a closed "(...She'll be okay.)"
    a neutral "(Even with all my years of study, I can never really know what's best for anyone. It's their decision, in the end.)"
    a console "(I can't let my personal feelings get in the way like that again...)"
    a sadsmile "(Otherwise I wouldn't be able to help anyone... right, Cass?)"
    $ persistent.cutscenes.append("vin3")
    jump enter_hub

label ending:
    $ save_name = _("Moving On")
    call hide_npcs from _call_hide_npcs_15
    play music audio.home fadeout 1.0 fadein 1.5
    scene bg cutscene
    show astra troubled2 at rightc
    with fade
    $ quick_menu = True
    $ block()
    a "(He hasn't been back since then...)"
    a troubled "(Does that mean his soul's passed on or something?)"
    a grief "(...So what, I don't get to say goodbye AGAIN? This is so...)"
    show cass bones2a zomwink at leftc, enterleft
    c bones2a zomwink "{size=+8}Peek-a-boo!{/size}"
    a pose2 freakout "{size=+8}CASS!!{/size}" with vpunch
    c zombright "Hahaha, how are you, little sister?"
    show astra pose2a pissed at nudgeleft
    a pose2a pissed "Annoyed. Don't scare me like that again!"
    c bones1 zomawkward "Sorry~! How could I resist? It's too much fun being a ghost."
    a pose1 console "...."
    c bones1a zomcalm "I brought the last of the money. I have nothing else for you after this."
    a tsun "...That's fine. You've given me more than enough."
    c zomsmile "Only because you've invested it so wisely! My business savvy little sister!"
    a sadsmile "Thanks, Cass."
    c zomlaugh "I only wish I could stick around to witness all your future success! Your medicine is going to help so many people, I'm sure of it."
    a hurt "...Hey. Cass...?"
    c zomkind "Yes?"
    a "Am I the only one who's seen you? Like... am I gonna sound crazy if I bring any of this up to anyone...?"
    c zomcalm "Hahaha, you're the only one who's seen me."
    c zomsick2 "My kids were so young when I passed, I didn't get to leave much of an impression."
    a troubled2 "You should at least visit Ma..."
    c zomkind "I thought about it, but I didn't want to give her a heart attack."
    c bones2a zompride2 "She's so superstitious, she would've thought I'm an evil spirit! I didn't want to be sent to the afterlife by my own mother!"
    a sadlaugh "Ha, fair point..."
    a weepy "...."
    c bones1a zomcalm "I'm glad I got to see you again. You're doing a wonderful job with the apothecary."
    a grief "Stop. You'll make me cry."
    c bones2a zomwink "Weep, little sister! It's good to let your emotions out from time to time!"
    show astra pose2a frantic at nudgeleft
    a "Not in the middle of my work day! Why do you have such awful timing?!"
    show astra pose1 console
    show cass at disappear
    a "Seriously, Cass..."
    show peri nohood2 cheery2 at leftc, enterleft
    pause .5
    $ persistent.cutscenes.append("ending")
    w "Astragalus~! Your new best friend is here~~~!"
    a pose2 pissed "What do you want, Periwinkle?! Can't you see I'm in the middle of--" with vpunch
    a pose1 blank "(...? Ah....)"
    w nohood2a awakegrin "Hm~? Were you talking to yourself?"
    a ugh "No."
    w nohood1 awake "Talking to your plants, then? No need to be embarrassed <3"
    a whatever "Are you trying to get yourself kicked out, or what?"
    w calm2 "I'm just here to keep you company~!"
    w nohood2 awakegrin "Oh, I brought a few perfumes, too. Would you be interested in sampling those~?"
    a calm "...Alright. I could use the distraction. Bring 'em here."

    $ quick_menu = False

label credits:
    $ _game_menu_screen = None
    scene bg ending1
    with Fade(1,1,1)
    $ block()

    show endtext page1
    if preferences.language is not None:
        show tlcredit
    with dissolve
    pause
    hide endtext
    hide tlcredit
    with dissolve

    scene bg ending with dissolve
    scene bg ending2 with dissolve
    show endtext page2b
    show thanks
    with dissolve
    pause
    hide endtext
    hide thanks
    with dissolve

    show endtext page2
    show thanks2
    with dissolve
    pause
    hide endtext
    hide thanks2
    with dissolve

    scene bg ending with dissolve
    scene bg ending3 with dissolve
    show endtext page3 with dissolve
    pause
    scene bg ending with Dissolve(1)

    stop music fadeout 3.0
    scene black with Fade(1,0,1)
    $ _game_menu_screen = "preferences"
    jump enter_hub

label truereset:
    $ persistent.teacount = 0
    $ persistent.campcount = 0
    $ persistent.lichcount = 0
    $ persistent.narcount = 0
    $ persistent.dough = 10
    $ persistent.cutscenes = []
    $ persistent.unlocks = []
    $ persistent.cw = None
    $ persistent.defaultbgm = audio.letsgrow
    return

label shortcut:
    $ persistent.teacount = 50
    $ persistent.campcount = 50
    $ persistent.lichcount = 50
    $ persistent.narcount = 50
    return

label unlockall:
    $ persistent.cutscenes.append("astra1")
    $ persistent.cutscenes.append("astra2")
    $ persistent.cutscenes.append("cass0")
    $ persistent.cutscenes.append("cass1")
    $ persistent.cutscenes.append("cass2")
    $ persistent.cutscenes.append("cass3")
    $ persistent.cutscenes.append("peri0")
    $ persistent.cutscenes.append("peri1")
    $ persistent.cutscenes.append("peri2")
    $ persistent.cutscenes.append("peri3")
    $ persistent.cutscenes.append("vin0")
    $ persistent.cutscenes.append("vin1")
    $ persistent.cutscenes.append("vin2")
    $ persistent.cutscenes.append("vin3")
    $ persistent.cutscenes.append("ending")
    $ persistent.cutscenes.append("extra1")
    $ persistent.cutscenes.append("extra2")
    $ persistent.cutscenes.append("extra3")
    $ persistent.cutscenes.append("extra4")
    $ persistent.cutscenes.append("extra5")
    return
